Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8177844

Ensure non-upgradeable modules cannot be upgraded even with --patch-module

    Details

      Description

      —patch-module is intended to allow replacing or adding content of the given module. The implementation disables the hash checking on the patched module and it's not intended to make a non-upgradeable module be upgradeable. It's a hole in the current implementation that using --patch-module effectively disables the hash checking and the non-upgradeable module can be loaded successfully from --upgrade-module-path.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                mchung Mandy Chung
                Reporter:
                mchung Mandy Chung
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: